<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (c) 2016-Present Webkul Software Pvt. Ltd. (<https://webkul.com/>) -->
<!-- See LICENSE file for full copyright and licensing details. -->
<!-- License URL : <https://store.webkul.com/license.html/> -->
<odoo>

	    <record id="view_mongo_config" model="ir.ui.view">
            <field name="name">mongo.server.config.form</field>
            <field name="model">mongo.server.config</field>
            <field name="arch" type="xml">
                <form string="Incoming Mail Server">
                    <header>
                        <button string="Test Connection" type="object" name="check_connection"  attrs="{'invisible' : [('load_pos_data_from', '=', 'postgres')]}"/>
                        <button string="Sync Products" type="object" name="sync_products" />
                        <button string="Sync Customers" type="object" name="sync_partners" />
                        <button string="Sync Pricelist" type="object" name="sync_pricelist_items" />
                    </header>
                    <sheet>
                        <div class="oe_button_box" name="button_box">
                            <button name="toggle_active_record" type="object" class="oe_stat_button" icon="fa-archive">
                                <field name="active_record" attrs="{'invisible' :True}"/>
                                <span style="color:green;" attrs="{'invisible' : [('active_record', '=', False)]}">Active</span>
                                <span style="color:red;" attrs="{'invisible' : [('active_record', '=', True)]}">InActive</span>
                            </button>
                        </div>
                        <group col="4">
                            <field name="load_pos_data_from" required="1"/>
                            <field name="pos_live_sync" required="1"/>
                        </group>
                        <group col="4" string="Mongo Config" attrs="{'invisible' : [('load_pos_data_from', '=', 'postgres')]}">
                            <field name="mongo_host" attrs="{'required' : [('load_pos_data_from', '=', 'mongo')]}"/>
                            <field name="mongo_port" attrs="{'required' : [('load_pos_data_from', '=', 'mongo')]}"/>
                        </group>
                        <notebook>
                            <page string="Time Updates">
                                <group col="4">
                                    <field name="product_last_update_time" readonly='1'/>
                                    <field name="price_last_update_time" readonly='1'/>
                                    <field name="partner_last_update_time" readonly='1'/>
                                    <field name="cache_last_update_time" readonly='1'/>
                                </group>
                            </page>
                            <page string="Data Fields">
                                <group string="Partner Fields" col="4">
                                    <field name="partner_all_fields" />
                                    <field name="partner_field_ids" widget="many2many_tags" attrs="{'invisible' : [('partner_all_fields', '=', True)]}"/>
                                </group>
                                <group col="4" string="Product Fields">
                                    <field name="product_all_fields" />
                                    <field name="product_field_ids" widget="many2many_tags" attrs="{'invisible' : [('product_all_fields', '=', True)]}"/>
                                </group>
                            </page>
                            <page string="Pos Cache" attrs="{'invisible' : True}">
                                <group string="POS Cache Data" col="4">
                                    <field name="pos_product_cache" readonly="1"/>
                                    <field name="pos_partner_cache" readonly="1" />
                                    <field name="pos_pricelist_cache" readonly="1" />
                                </group>
                            </page>
                        </notebook>
                  </sheet>
                </form>
            </field>
        </record>



        <record id="view_mongo_config_tree" model="ir.ui.view">
            <field name="name">pos.fast.loading.tree</field>
            <field name="model">mongo.server.config</field>
            <field name="arch" type="xml">
                <tree string="Mongo Config">
                    <field name="load_pos_data_from"/>
                    <field name="pos_live_sync"/>
                    <field name="active_record"/>
                </tree>
            </field>
        </record>

         <record id="action_view_mongo_form" model="ir.actions.act_window">
            <field name="name">Pos Fast Loading</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">mongo.server.config</field>
            <field name="view_mode">tree,form</field>
            <field name="view_id" eval="False"/>
            <field name="domain">[]</field>
        </record>






        <record id="common_cache_operation_tree_view" model="ir.ui.view">
            <field name="name">Common Cache</field>
            <field name="model">common.cache.notification</field>
            <field name="arch" type="xml">
                <tree string="Common Cache" create="0" default_order="id desc">
                    <field name="record_id"/>
                    <field name="operation"/>
                    <field name="state"/>
                    <field name="change_vals"/>
                </tree>
            </field>
        </record>

        
		<record id="pos_fast_loading_message_form" model="ir.ui.view">
            <field name="name">pos_fast_loading_message_form</field>
            <field name="model">pos.fast.loading.message</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Message">
					<field name="text" colspan="4" nolabel="1" readonly="1"/>															
					<newline/>
					<separator colspan="6"/>
					<footer>
						<button special="cancel" class="oe_highlight" string="Close" />
					</footer>					
                </form>
            </field>
        </record>

		<record id="pos_fast_loading_message_action" model="ir.actions.act_window">
            <field name="name">POS Fast Loading Message Action</field>
            <field name="res_model">pos.fast.loading.message</field>
            <field name="view_mode">form</field>
            <field name="target">new</field>
        </record>
		

        <record id="common_cache_operation_action" model="ir.actions.act_window">
            <field name="name">Common Cache Notification</field>
            <field name="res_model">common.cache.notification</field>
            <field name="view_mode">tree,form</field>
            <field name="view_id" ref="common_cache_operation_tree_view"></field>
        </record>


        <record id="view_record_model_data" model="ir.ui.view">
            <field name="name">model.data.record</field>
            <field name="model">model.data.record</field>
            <field name="arch" type="xml">
                <form string="Sync Data Record">
                    <sheet>
                        <group>
                            <field name="model_id" options="{'no_quick_create': True, 'no_create_edit' : True}" required="1" domain="[('model','in',['product.product','res.partner'])]"/>
                            <field name="model_fields" options="{'no_quick_create': True, 'no_create_edit' : True}" widget="many2many_tags" domain="[('model_id','=',model_id)]"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

     

        <menuitem id="pos_fast_loading_root"
            name="Pos Fast Loading"
            parent="point_of_sale.menu_point_config_product"
            sequence="12"
        />

        <menuitem
            parent="pos_fast_loading.pos_fast_loading_root"
            id="action_fetch_mongo_server_tree"
            action="action_view_mongo_form"
            name="Pos Fast Loading Setup"
            sequence="14"
            groups="point_of_sale.group_pos_manager"
        />
        <menuitem
            parent="pos_fast_loading.pos_fast_loading_root"
            id="pos_common_cache_action_tree"
            action="common_cache_operation_action"
            name="Pos Common Cache"
            sequence="15"
            groups="point_of_sale.group_pos_manager"
        />

        

</odoo>
